package com.caimei365.manager.dao.user;

import com.caimei365.manager.entity.caimei.CmBehaviorRecord;
import com.caimei365.manager.entity.caimei.RetuenEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/3/15
 */
@Mapper
public interface CmBehaviorRecordDao {

    /**
     * 昨日数据
     * @param cmBehaviorRecord 参数
     * @return 返回
     */
    List<CmBehaviorRecord> findList(CmBehaviorRecord cmBehaviorRecord);

    /**
     * 今日数据
     * @param cmBehaviorRecord 参数
     * @return 返回
     */
    List<CmBehaviorRecord> findListToday(CmBehaviorRecord cmBehaviorRecord);

    /**
     * 访问来源
     * @return 返回
     */
    List<CmBehaviorRecord> selRegion(@Param("accessDate") String accessDate);
    /**
     * 查询单条详情
     * @param cmBehaviorRecord 参数
     * @return 返回
     */
    List<CmBehaviorRecord> recordList(CmBehaviorRecord cmBehaviorRecord);

    /**
     * 标签库
     * @return 返回
     */
    List<RetuenEntity> searchList();

    /**
     * 供应商信息
     * @return
     */
    List<CmBehaviorRecord> behaviorShopNameList();
}
