package com.caimei365.manager.service.caimei;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.*;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/3/15
 */
public interface FinanceService {

    /**
     * 获取收款类型
     */
    ResponseJson<List<ReceiptType>> getReceiptType();

    /**
     * 获取收款列表
     */
    ResponseJson<PaginationVo<ReceiptList>> getReceiptList(ReceiptParam receiptParam, int pageNum, int pageSize);

    /**
     * 收款详情
     */
    ResponseJson<ReceiptDetail> getReceiptDetail(Integer id);

    /**
     * 撤销收款
     */
    ResponseJson<Void> cancelReceipt(ReceiptCancelParam receiptCancelParam);
}
