package com.caimei365.manager.service.caimei.user;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.cmUser.CmClubRemarks;
import com.caimei365.manager.entity.caimei.cmUser.CmConsulttype;
import com.caimei365.manager.entity.caimei.cmUser.CmReport;
import com.caimei365.manager.entity.caimei.cmUser.VisitRemarkVo;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/7
 */
public interface CmClubRemarksService {
    /**
     * 咨询记录类别
     * @return
     */
    ResponseJson<List<CmConsulttype>> getClassName();
    /**
     * 获取当天协销咨询记录信息
     * @param time
     * @return
     */
    ResponseJson<Map<String, Object>> getServiceList(String time);
    /**
     * 已注册用户咨询记录
     * @param cmClubRemarks
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PaginationVo<CmClubRemarks>> findRegistList(CmClubRemarks cmClubRemarks, Integer pageNum, Integer pageSize);

    /**
     * 文件下载
     * @param fileName
     * @param ossName
     * @param request
     * @param response
     * @return
     */
    void downloadRemarks(String fileName, String ossName, HttpServletRequest request, HttpServletResponse response)  throws IOException;
    /**
     * 报备列表
     * @param cmReport
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PaginationVo<CmReport>> getReportList(CmReport cmReport, Integer pageNum, Integer pageSize);

    /**
     * 报备列表查看详情
     * @param cmClubRemarks
     * @return
     */
    ResponseJson<List<CmClubRemarks>> cmRegistReportList(CmClubRemarks cmClubRemarks);

    /**
     * 取消关联
     * @param remarksId
     * @param type
     * @return
     */
    ResponseJson audit(Integer remarksId, Integer type);
    /**
     * 删除报备列表
     * @param reportId
     * @return
     */
    ResponseJson deleteReport(Integer reportId);

    /**
     * 审核
     * @param reportId
     * @param auditName
     * @param auditText
     * @param status
     * @return
     */
    ResponseJson reportCount(Integer reportId, String auditName, String auditText, Integer status);

    /**
     * 咨询记录类别
     * @param cmConsulttype
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PaginationVo<CmConsulttype>> getConsultList(CmConsulttype cmConsulttype, Integer pageNum, Integer pageSize);

    /**
     * 保存咨询记录类别
     * @param cmConsulttype
     * @return
     */
    ResponseJson saveConsult(CmConsulttype cmConsulttype);


    /**
     * 删除咨询记录类别
     * @param id
     * @return
     */
    ResponseJson deleteConsult(Integer id);

    /**
     * 排序
     * @param sortNumber
     * @return
     */
    ResponseJson sort(Integer id, Integer sortNumber);

    /**
     * 未注册用户咨询记录
     * @param visit
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PaginationVo<VisitRemarkVo>> visitRemarkList(VisitRemarkVo visit, Integer pageNum, Integer pageSize);

    /**
     * 未注册用户数据详情
     * @param visitRemarkVo
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PaginationVo<CmClubRemarks>> remarksList(VisitRemarkVo visitRemarkVo, Integer pageNum, Integer pageSize);

}
